*** Settings ***
Library    OperatingSystem
Library    BuiltIn
Library    JSONLibrary
Library    Collections    
Default Tags     USE_POLLING

Resource    GenericKeywords.robot
Resource    SOL005-Keywords.robot




*** Test Cases ***
VNF Package Onboard
    Create new VNF Package Resource
    Verify VNF Package Resource Creation PostCondition
    Upload VNF Package 
    Verify VNF Package Upload PostCondition
    


*** Keywords ***
Upload VNF Package
    Run Keyword If    ${VNF_PACKAGE_DIRECT_UPLOAD} == 1    Upload VNF Package Content
    Run Keyword If    ${VNF_PACKAGE_DIRECT_UPLOAD} == 0    Upload VNF Package Content from URI
